Skip to main content
GET
Get all FX trades

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

settlementId
string<uuid>

Queries items with the specified settlement id. Matches any settlement id if unspecified.

Example:

"b48c8962-8e9f-40c3-9f1d-d9adde2ffe61"

from
string<date-time>

Queries items created since the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

to
string<date-time>

Queries items created before the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

status
enum<string>

Filters trades by status. Can be specified multiple times to include multiple statuses.

Available options:
pending,
confirmed,
pending_settlement,
complete,
failed
currency
string

Filters trades where either the from or to currency matches. Can be specified multiple times.

Example:

"SGD"

category
enum<string>

Filters trades by currency category.

  • swap — both legs are stablecoins (e.g. USDC ↔ EURC).
  • fiat — at least one leg is a fiat currency.
Available options:
swap,
fiat
clientEntityId
string<uuid>

Identifier of the client entity. Filters results to fetch only resources associated with the specified client entity.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

pageAfter
string

A collection ID value used for pagination.

It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageBefore.

pageBefore
string

A collection ID value used for pagination.

It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageAfter.

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved trades.

data
object[]